
Name:           netsurf
Version:        3.7
Release:        %mkrel 1

Summary:        Lightweight Web Browser with its own layout and rendering engine
License:        GPLv2/MIT
Group:          Networking/WWW
Source:         http://www.netsurf-browser.org/downloads/releases/%{name}-all-%version.tar.xz
Source1:	netsurf.png
URL:            http://www.netsurf-browser.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mng-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}lcms-devel

%description
NetSurf is a lightweight browser with its own layout and rendering engine 
entirely written from scratch. It is small and capable of handling many 
of the web standards in use today.

 
%prep
%setup -qn netsurf-all-%version

%build
make -j1 \
    PREFIX=/usr \
    TARGET=gtk \
    NETSURF_USE_WEBP=YES \
    NETSURF_USE_VIDEO=NO \
    NETSURF_USE_JS=NO \
    NETSURF_USE_MOZJS=NO 
    

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=/usr DESTDIR=$RPM_BUILD_ROOT

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=Network;WebBrowser;GTK;X-MandrivaLinux-Internet-WebBrowsers;
Encoding=UTF-8
Name=Netsurf
GenericName=Web Browser
Comment=Web Browser
TryExec=netsurf-gtk
Exec=netsurf-gtk %u
Icon=netsurf
Terminal=false
StartupNotify=true
MimeType=text/html;text/xml;application/xhtml+xml;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;
Type=Application
EOF

mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/netsurf.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/netsurf-gtk
%{_datadir}/applications/netsurf.desktop
%{_datadir}/netsurf
%{_datadir}/pixmaps

%changelog
* Fri Feb 02 2018 pp <pp> 3.7-1pclos2018
- update

* Sun Dec 11 2016 bb <bb. 3.6-1pclos2017
- update

* Fri Jan 01 2016 bb <bb> 3.3-1pclos2015
- update

* Sat Apr 19 2014 bb <bb> 3.0-1pclos2014
- update 
